%define anolis_release 1
Summary: An encoder/decoder for the Free Lossless Audio Codec
Name: flac
Version: 1.4.2
Release: %{anolis_release}%{dist}
License: BSD and GPLv2+ and GFDL
Source0: https://downloads.xiph.org/releases/flac/flac-%{version}.tar.xz
URL: https://www.xiph.org/flac/
Requires: %{name}-libs = %{version}-%{release}
BuildRequires: libogg-devel
BuildRequires: gcc gcc-c++ automake autoconf libtool gettext-devel doxygen
BuildRequires: make

patch0: 1001-Skipping-tests-requires-rootless.patch

%description
FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC
is similar to Ogg Vorbis, but lossless. The FLAC project consists of
the stream format, reference encoders and decoders in library form,
flac, a command-line program to encode and decode FLAC files, metaflac,
a command-line metadata editor for FLAC files and input plugins for
various music players.

This package contains the command-line tools and documentation.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package libs
Summary: Libraries for the Free Lossless Audio Codec
Obsoletes: flac < 1.2.1
Obsoletes: xmms-flac < 1.3.3

%description libs
FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC
is similar to Ogg Vorbis, but lossless. The FLAC project consists of
the stream format, reference encoders and decoders in library form,
flac, a command-line program to encode and decode FLAC files, metaflac,
a command-line metadata editor for FLAC files and input plugins for
various music players.
This package contains the FLAC libraries.

%package devel
Summary: Development libraries and header files from FLAC
Requires: %{name}-libs = %{version}-%{release}
Requires: pkgconfig

%description devel
This package contains all the files needed to develop applications that
will use the Free Lossless Audio Codec.

%prep
%autosetup -p1

%build
# use our libtool to avoid problems with RPATH
./autogen.sh -V

# -funroll-loops makes encoding about 10% faster
export CFLAGS="%{optflags} -funroll-loops"
%configure \
    --htmldir=%{_docdir}/flac/html \
    --disable-xmms-plugin \
    --disable-silent-rules \
    --disable-thorough-tests

%make_build

%install
%make_install

# split documentation
mv %{buildroot}%{_docdir}/flac* ./flac-doc
mkdir -p flac-doc-devel
mv flac-doc/api flac-doc-devel
rm flac-doc/FLAC.tag

rm %{buildroot}%{_libdir}/*.la

%generate_compatibility_deps

%check
make check

%ldconfig_scriptlets libs

%files
%doc flac-doc/*
%{_bindir}/flac
%{_bindir}/metaflac
%{abidir}/flac-option.list
%{abidir}/metaflac-option.list
%{_mandir}/man1/*

%files libs
%dir %{abidir}
%doc COPYING*
%{_libdir}/libFLAC.so.12*
%{_libdir}/libFLAC++.so.10*
%{abidir}/libFLAC.dump
%{abidir}/libFLAC++.dump

%files doc
%doc AUTHORS README.md

%files devel
%doc flac-doc-devel/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*.m4

%changelog
* Fri Mar 24 2023 Kun(llfl) <llfl@linux.alibaba.com> - 1.4.2-1
- update version to 1.4.2

* Thu Oct 27 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.3.4-2
- optimise spec file & add doc package

* Wed Apr 13 2022 Zhongling He <zhonglingh@linux.alibaba.com> - 1.3.4-1
- Init package from upstream v1.3.4
